FlatExtrapolator2D Class Reference
Math tools » 1-D Interpolations and corresponding traits

`#include <ql/math/interpolations/flatextrapolation2d.hpp>`

Inheritance diagram for FlatExtrapolator2D:
[legend]

## Public Member Functions

| FlatExtrapolator2D (const ext::shared_ptr< Interpolation2D > &decoratedInterpolation)
Public Member Functions inherited from Interpolation2D
Real | operator() (Real x, Real y, bool allowExtrapolation=false) const
Real | xMin () const
Real | xMax () const
std::vector< Real > | xValues () const
Size | locateX (Real x) const
Real | yMin () const
Real | yMax () const
std::vector< Real > | yValues () const
Size | locateY (Real y) const
const Matrix & | zData () const
bool | isInRange (Real x, Real y) const
void | update ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Additional Inherited Members

Public Types inherited from Interpolation2D
typedef Real | first_argument_type
typedef Real | second_argument_type
typedef Real | result_type
Protected Member Functions inherited from Interpolation2D
void | checkRange (Real x, Real y, bool extrapolate) const
Protected Attributes inherited from Interpolation2D
ext::shared_ptr< Impl > | impl_

## Detailed Description

Warning:
  See the Interpolation class for information about the required lifetime of the underlying data.